Method: projects.locations.brands.webhookSubscriptions.patch

Updates the specified webhook subscription.

HTTP request

PATCH https://foodorderingaiagent.googleapis.com/v1beta/{webhookSubscription.name=projects/*/locations/*/brands/*/webhookSubscriptions/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
webhookSubscription.name

string

Identifier. The resource name of the webhook subscription. Format: projects/{project}/locations/{location}/brands/{brand}/webhookSubscriptions/{webhookSubscription}

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of WebhookSubscription.

Response body

If successful, the response body contains an instance of WebhookSubscription.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.